%global namedreltag .Final
%global namedversion %{version}%{?namedreltag}

Name:		jboss-jaspi-1.0-api
Version:	1.0.1
Release:	%mkrel 7
Summary:	JBoss Java Authentication SPI for Containers 1.0 API
Group:		Development/Java
License:	CDDL or GPLv2 with exceptions
URL:		http://www.jboss.org

# git clone git://github.com/jboss/jboss-jaspi-api_spec.git
# cd jboss-jaspi-api_spec/ && git archive --format=tar --prefix=jboss-jaspi-1.0-api/ jboss-jaspi-api_1.0_spec-1.0.1.Final | xz > jboss-jaspi-1.0-api-1.0.1.Final.tar.xz
Source0:	%{name}-%{namedversion}.tar.xz

BuildRequires:	maven-local
BuildRequires:	jboss-logging
BuildRequires:	maven-compiler-plugin
BuildRequires:	maven-enforcer-plugin
BuildRequires:	maven-install-plugin
BuildRequires:	maven-jar-plugin
BuildRequires:	maven-javadoc-plugin

BuildArch:	noarch

%description
The Java Authentication SPI for Containers 1.0 API classes

%package javadoc
Summary:	Javadocs for %{name}
Group:		Development/Java
Requires:	jpackage-utils

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n jboss-jaspi-1.0-api

# Fixing JDK7 ASCII issues
files='
src/main/java/javax/security/auth/message/callback/PasswordValidationCallback.java
src/main/java/javax/security/auth/message/config/AuthConfigFactory.java
src/main/java/javax/security/auth/message/config/AuthConfigProvider.java
src/main/java/javax/security/auth/message/config/ClientAuthConfig.java
src/main/java/javax/security/auth/message/config/ServerAuthConfig.java
src/main/java/javax/security/auth/message/module/ClientAuthModule.java
src/main/java/javax/security/auth/message/module/ServerAuthModule.java
'

for f in ${files}; do
  native2ascii -encoding UTF8 ${f} ${f}
done

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles
%dir %{_javadir}/%{name}
%doc LICENSE README

%files javadoc -f .mfiles-javadoc
%doc LICENSE README



%changelog
* Mon Dec 30 2013 dmorgan <dmorgan> 1.0.1-7.mga4
+ Revision: 563277
- Build with xmvn

* Sun Dec 22 2013 dmorgan <dmorgan> 1.0.1-6.mga4
+ Revision: 559760
- Build with maven-local

  + umeabot <umeabot>
    - Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 1.0.1-4.mga3
+ Revision: 355003
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Dec 13 2012 dmorgan <dmorgan> 1.0.1-3.mga3
+ Revision: 330508
- New version

* Fri Aug 12 2011 dmorgan <dmorgan> 1.0.0-1.mga2
+ Revision: 132755
- Clean spec file

  + gil <gil>
    - imported package jboss-jaspi-1.0-api

